Api key provided on integrations tab in Easyflow platform.
List offers by product id
Returns a list of offers of the product.
- Offers of products of the types face-to-face event and voucher are not returned. For these products, the list is empty.
pix,billetandcreditCardturn on their filter with any non-empty value,falseincluded. To skip a filter, do not send the parameter or send it empty.
Headers
x-api-keystringrequiredx-api-secretstringrequiredApi Secret provided on integrations tab in Easyflow platform.
Path parameters
productIdstringrequired
Query parameters
pageintegerrequiredPage number to access
limitintegerrequiredNumber of items to be loaded per page
namestringPart of the name of the offer. The search is case sensitive.
fieldignores case, but it also matches the name of the product and the ID of the offer.offerTypestringReturns only the offers with items of this type.
pixbooleanSend
trueto return only the offers with PIX configured. Any non-empty value turns on this filter,falseincluded.billetbooleanSend
trueto return only the offers with bank billet configured. Any non-empty value turns on this filter,falseincluded.creditCardbooleanSend
trueto return only the offers with credit card configured. Any non-empty value turns on this filter,falseincluded.fieldstringText searched in the name of the offer, in the name of the product or in the ID of the offer. The search ignores uppercase and lowercase and matches part of the text.
orderBy[orderByField]stringField to order by. Send it together with
orderBy[orderDirection].orderBy[orderDirection]stringAscending (
ASC) or descending (DESC) order. Send it together withorderBy[orderByField].
Responses
200Returns a list of products.
Returns a list of products.
Content typeapplication/jsonobject
statusCodeintegerdataobjectShow child attributesHide child attributes
docsarray of objectsShow child attributesHide child attributes
idstringbusinessIdstringnamestringcheckoutTemplateIdstringcheckoutTemplateNamestringdescriptionstringendDatestringinitialDatestringwarrantyInDaysintegerstatusstringcreatedAtstringpreferenceobjectShow child attributesHide child attributes
showSellerNamebooleanrequestAddressbooleanacceptNaturalPersonBuyerbooleanacceptCorporationBuyerbooleanrequestDeliveryAddressbooleanrequireEmailReentrybooleandisableCouponFormboolean
paymentConfigurationobjectShow child attributesHide child attributes
pixobjectShow child attributesHide child attributes
expirationInMinutesinteger
billetobjectShow child attributesHide child attributes
dueDateDelayinteger
creditCardobjectShow child attributesHide child attributes
defaultInstallmentsintegermaxInstallmentsintegerinvoiceDescriptionstringinstallmentOptionsarray of objectsShow child attributesHide child attributes
installmentsintegerinstallmentValueInCentsintegernullableinterestRateintegernullable
advancedobjectShow child attributesHide child attributes
redirectobjectShow child attributesHide child attributes
urlstringbuttonNamestringdelayInSecondsintegernullable
itemsarray of objectsShow child attributesHide child attributes
idstringnamestringpriceWithoutDiscountValueInCentsintegerproductobjectnullableShow child attributesHide child attributes
idstringnamestringdescriptionstringtypestringimageobjectShow child attributesHide child attributes
namestringnullablepathstringnullableurlstringnullableisPublicbooleannullableextensionstringnullable
priceInCentsintegeroptionalbooleanofferItemTypestringorderBumpTemplateIdstringrecurrenceobjectShow child attributesHide child attributes
periodicitystringnumberRecurrenceintegerrecurrenceValueInCentsintegerrepeatIndefinitelybooleancustomValueobjectShow child attributesHide child attributes
recurrenceFromintegerrecurrenceTointegervalueInCentsinteger
limitintegercurrentPageintegernextPageintegernullabletotalPagesintegertotalDocsintegerhasNextboolean
400If the provided parameter is invalid, the API will return the following error response:
If the provided parameter is invalid, the API will return the following error response:
Content typeapplication/jsonobject
messagestringInvalid param: []
errorstringBad Request
statusCodeinteger400
errorCodestringCode that identifies the error. Present only on some errors.
401If the request is unauthorized, the API will return the following error response:
If the request is unauthorized, the API will return the following error response:
Content typeapplication/jsonobject
messagestringInvalid field
errorstringUnauthorized
statusCodeinteger401
403If the request is forbidden, the API will return the following error response:
If the request is forbidden, the API will return the following error response:
Content typeapplication/jsonobject
messagestringForbidden resource
errorstringForbidden
statusCodeinteger403
500If an unexpected condition occurs and the server cannot process the request, the API will return the following error response. This response has no error field.
If an unexpected condition occurs and the server cannot process the request, the API will return the following error response. This response has no error field.
Content typeapplication/jsonobject
statusCodeintegerHTTP status code.
messagestringExplanation of the error.